Issue #9374 has been updated by Yui NARUSE.

Backport changed from 1.9.3: DONE, 2.0.0: DONE, 2.1: REQUIRED to 1.9.3: DONE, 2.0.0: DONE, 2.1: DONE

r45123

----------------------------------------
Bug #9374: [PATCH] ext/json: objects depend on $(ruby_headers)
https://bugs.ruby-lang.org/issues/9374#change-45406

* Author: Eric Wong
* Status: Closed
* Priority: Normal
* Assignee: Nobuyoshi Nakada
* Category: build
* Target version: current: 2.2.0
* ruby -v: ruby 2.2.0dev (2014-01-07 trunk 44513) [x86_64-linux]
* Backport: 1.9.3: DONE, 2.0.0: DONE, 2.1: DONE
----------------------------------------
We must rebuild the extension on Ruby ABI changes, otherwise
we'll get mysterious test failures

I encountered this when switching between cachelined and normal trunk.

pull request:

The following changes since commit 2030e19a04e92ee3d4f605c15af0e1f115732813:

  * 2014-01-07 (2014-01-06 19:38:25 +0000)

are available in the git repository at:

  git://bogomips.org/ruby.git json-depend

for you to fetch changes up to 93ccc7f9f1feabc95231ee8bc39945f7e4eb432d:

  ext/json: objects depend on $(ruby_headers) (2014-01-06 23:32:47 +0000)

----------------------------------------------------------------
Eric Wong (1):
      ext/json: objects depend on $(ruby_headers)

 ext/json/generator/depend | 1 +
 ext/json/parser/depend    | 1 +
 2 files changed, 2 insertions(+)


---Files--------------------------------
0001-ext-json-objects-depend-on-ruby_headers.patch (946 Bytes)


-- 
http://bugs.ruby-lang.org/